/// <reference types="react-native" />
/// <reference types="react" />
import { Component } from "react";
import { ImageProperties } from "react-native";
export declare type CacheHandler = (path: string) => void;
export declare class ImageCache {
    private getPath(uri, immutable?);
    private static instance;
    private constructor();
    static get(): ImageCache;
    static getCache(): ImageCache;
    private cache;
    clear(): any;
    on(uri: string, handler: CacheHandler, immutable?: boolean): void;
    dispose(uri: string, handler: CacheHandler): void;
    bust(uri: string): void;
    cancel(uri: string): void;
    private download(uri, cache);
    private get(uri);
    private notify(uri);
}
export interface CachedImageProps extends ImageProperties {
    mutable?: boolean;
}
export interface CachedImageState {
    path: string | undefined;
}
export declare class CachedImage extends Component<CachedImageProps, CachedImageState> {
    private uri;
    private handler;
    constructor();
    private dispose();
    private observe(uri, mutable);
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: CachedImageProps): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
